### execution::occupancy_t

A property that gives an estimate of the number of execution agents that should occupy the associated execution context.

    struct occupancy_t

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The occupancy_t property applies to executors, senders, and schedulers.
is_preferable [static] | The occupancy_t property cannot be preferred.
is_requirable [static] | The occupancy_t property cannot be required.

##### Requirements

Header: `asio/execution/occupancy.hpp`

Convenience header: `asio/execution.hpp`